# Beware: git branch names need the 'refs/heads/' prefix, while tags need 'refs/tags/'
- project:
    name: tcwg_chromium--master#{MODE}
    chromium_url: https://chromium.googlesource.com/chromium/tools/depot_tools.git
    jobs:
      - 'tcwg_chromium--master#{MODE}'

- job-group:
    name: tcwg_chromium--master#{MODE}
    chromium_branch: master
    distro: default
    cron_schedule: 'H H H/3 * *'
    jobs:
      - 'tcwg_chromium--master#{MODE}-build'
      - 'tcwg_chromium--master#{MODE}-bisect'
    ci_project: 'tcwg_chromium'
    ci_config: 'master#{MODE}'

#include tcwg/round-robin.yaml.inc

- job-template:
    name: tcwg_chromium--master#{MODE}-build
    project-type: freestyle
    defaults: global
    properties:
      - build-properties:
          ci_project: '{ci_project}'
          ci_config: '{ci_config}'
    parameters:
      - build-parameters:
          default_git: 'default'
          distro: '{distro}'
    disabled: true
#if MODE_fast
    node: tcwg-best && tcwg-x86_64 && tcwg-fast-disk
#else
    node: tcwg-build && tcwg-x86_64 && tcwg-fast-disk
#endif
    concurrent: false
    display-name: 'TCWG Build {ci_project}--{ci_config}'
    workspace: workspace/tcwg_chromium_$EXECUTOR_NUMBER
    scm:
      - jenkins-scripts
    triggers:
      - pollscm:
          cron: '{cron_schedule}'
    wrappers:
      - build-wrappers:
          timeout: 600
    builders:
      - run-build:
          ci_project: '{ci_project}'
          ci_config: '{ci_config}'
          build_script: 'tcwg_chromium-build.sh'
    publishers:
      - build-publishers:
          email_on_failure: false
          email_on_success: true

- job-template:
    name: tcwg_chromium--master#{MODE}-bisect
    project-type: freestyle
    defaults: global
    properties:
      - bisect-properties:
          ci_project: '{ci_project}'
          ci_config: '{ci_config}'
    parameters:
      - bisect-parameters:
          distro: '{distro}'
    disabled: false
#if MODE_fast
    node: tcwg-best && tcwg-x86_64 && tcwg-fast-disk
#else
    node: tcwg-build && tcwg-x86_64 && tcwg-fast-disk
#endif
    concurrent: false
    display-name: 'TCWG Bisect {ci_project}--{ci_config}'
    workspace: workspace/tcwg_chromium_$EXECUTOR_NUMBER
    scm:
      - jenkins-scripts
    wrappers:
      - bisect-wrappers:
          timeout: 2880
    builders:
      - run-bisect:
          ci_project: '{ci_project}'
          ci_config: '{ci_config}'
          build_script: 'tcwg_chromium-build.sh'
    publishers:
        - bisect-publishers
